com.pdfunit.validators

## Class FieldPropertyValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.FieldPropertyValidator

-     @DoNotObfuscate
      public final class FieldPropertyValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for field permissions.
  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FieldPropertyValidator(SingleFieldValidator backReference, com.pdfunit.internal.spi.IField currentField)` Create an instance taking later needed data as parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldPropertyValidator` | `checked()` Returns whether a field has the property 'checked'.
    `FieldPropertyValidator` | `editable()` Returns whether a field has the property 'editable'.
    `FieldPropertyValidator` | `exportable()` Returns whether a field has the property 'exportable'.
    `FieldPropertyValidator` | `multiLine()` Returns whether a field has the property 'multi-line'.
    `FieldPropertyValidator` | `multiSelect()` Returns whether a field has the property 'multi selectable'.
    `FieldPropertyValidator` | `notExportable()` Returns whether a field does not have the property 'exportable'.
    `FieldPropertyValidator` | `notSigned()` Returns whether a field does not have the property 'signed'.
    `FieldPropertyValidator` | `notVisibleInPrint()` Returns whether a field does not have the property 'visible in print'.
    `FieldPropertyValidator` | `notVisibleOnScreen()` Returns whether a field does not have the property 'visible on screen'.
    `FieldPropertyValidator` | `optional()` Return whether a field does not have the property 'required'.
    `FieldPropertyValidator` | `passwordProtected()` Returns whether a field has the property 'password protected'.
    `FieldPropertyValidator` | `readOnly()` Returns whether a field has the property 'read only'.
    `FieldPropertyValidator` | `required()` Returns whether a field has the property 'required'.
    `FieldPropertyValidator` | `signed()` Returns whether a field has the property 'signed'.
    `FieldPropertyValidator` | `singleLine()` Returns whether a field has the property 'single-line'.
    `FieldPropertyValidator` | `singleSelect()` Returns whether a field has the property 'single selectable'.
    `FieldPropertyValidator` | `unchecked()` Returns whether a field does not have the property 'checked'.
    `FieldPropertyValidator` | `visibleInPrint()` Returns whether a field has the property 'visible in print'.
    `FieldPropertyValidator` | `visibleOnScreen()` Returns whether a field has the property 'visible on screen'.
    `FieldPropertyValidator` | `visibleOnScreenAndInPrint()` Returns whether a field has the property 'visible on screen and in print'.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldPropertyValidator

          protected FieldPropertyValidator(SingleFieldValidator backReference,
                                com.pdfunit.internal.spi.IField currentField)

      Create an instance taking later needed data as parameters.

  - ### Method Detail

    - #### checked

          public FieldPropertyValidator checked()

      Returns whether a field has the property 'checked'.

    - #### editable

          public FieldPropertyValidator editable()

      Returns whether a field has the property 'editable'.

    - #### exportable

          public FieldPropertyValidator exportable()

      Returns whether a field has the property 'exportable'.

    - #### multiLine

          public FieldPropertyValidator multiLine()

      Returns whether a field has the property 'multi-line'.

    - #### multiSelect

          public FieldPropertyValidator multiSelect()

      Returns whether a field has the property 'multi selectable'.

    - #### notExportable

          public FieldPropertyValidator notExportable()

      Returns whether a field does not have the property 'exportable'.

    - #### notSigned

          public FieldPropertyValidator notSigned()

      Returns whether a field does not have the property 'signed'.

    - #### notVisibleInPrint

          public FieldPropertyValidator notVisibleInPrint()

      Returns whether a field does not have the property 'visible in print'.

    - #### notVisibleOnScreen

          public FieldPropertyValidator notVisibleOnScreen()

      Returns whether a field does not have the property 'visible on screen'.

    - #### optional

          public FieldPropertyValidator optional()

      Return whether a field does not have the property 'required'.

    - #### passwordProtected

          public FieldPropertyValidator passwordProtected()

      Returns whether a field has the property 'password protected'.

    - #### readOnly

          public FieldPropertyValidator readOnly()

      Returns whether a field has the property 'read only'.

    - #### required

          public FieldPropertyValidator required()

      Returns whether a field has the property 'required'.

    - #### signed

          public FieldPropertyValidator signed()

      Returns whether a field has the property 'signed'.

    - #### singleLine

          public FieldPropertyValidator singleLine()

      Returns whether a field has the property 'single-line'.

    - #### singleSelect

          public FieldPropertyValidator singleSelect()

      Returns whether a field has the property 'single selectable'.

    - #### unchecked

          public FieldPropertyValidator unchecked()

      Returns whether a field does not have the property 'checked'.

    - #### visibleInPrint

          public FieldPropertyValidator visibleInPrint()

      Returns whether a field has the property 'visible in print'.

    - #### visibleOnScreen

          public FieldPropertyValidator visibleOnScreen()

      Returns whether a field has the property 'visible on screen'.

    - #### visibleOnScreenAndInPrint

          public FieldPropertyValidator visibleOnScreenAndInPrint()

      Returns whether a field has the property 'visible on screen and in print'.

Copyright (C) PDFUnit.com. See here for license.